%global eclipse_base     %{_libdir}/eclipse
%global eclipse_dropin   %{_datadir}/eclipse/dropins

# Note: Use the tag in get-m2m-qvtoml.sh as the context qualifier because it's
#       later than the tags of the individual plugins.
%global contextQualifier v20100615-1530

Name:      eclipse-m2m-qvtoml
Version:   3.0.0
Release:   2%{?dist}
Summary:   Implementation of Operational QVT for Eclipse
Group:     System Environment/Libraries
License:   EPL
URL:       http://www.eclipse.org/m2m/

# source tarball and the script used to generate it from upstream's source control
# script usage:
# $ sh get-m2m-qvtoml.sh
Source0:   m2m-qvtoml-%{version}.tar.gz
Source1:   get-m2m-qvtoml.sh

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    jpackage-utils
BuildRequires:    eclipse-pde >= 1:3.6.0
BuildRequires:    eclipse-emf >= 2.6.0
BuildRequires:    eclipse-mdt-ocl >= 3.0.0
Requires:         java
Requires:         jpackage-utils
Requires:         eclipse-platform >= 1:3.6.0
Requires:         eclipse-emf >= 2.6.0
Requires:         eclipse-mdt-ocl >= 3.0.0

%description
Model-to-model transformation is a key aspect of model-driven development
(MDD). The M2M project provides a framework for model-to-model transformation
languages. Transformations are executed by transformation engines. This package
provides a transformation engine that is an implementation of Operational QVT.

#TODO - sdk/examples subpackages?

%prep
%setup -q -n m2m-qvtoml-%{version}

# make sure upstream hasn't sneaked in any jars we don't know about
JARS=""
for j in `find -name "*.jar"`; do
  if [ ! -L $j ]; then
    JARS="$JARS $j"
  fi
done
if [ ! -z "$JARS" ]; then
   echo "These jars should be deleted and symlinked to system jars: $JARS"
   exit 1
fi

# remove spurious exec permissions from docs
find -wholename "*/rootfiles/*" | xargs chmod -x

%build
# build m2m-qvtoml features
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.m2m.qvt.oml.common \
  -d "emf ocl" -a "-DjavacTarget=1.5 -DjavacSource=1.5 -DforceContextQualifier=%{contextQualifier}"
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.m2m.qvt.oml \
  -d "emf ocl" -a "-DjavacTarget=1.5 -DjavacSource=1.5 -DforceContextQualifier=%{contextQualifier}"
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.m2m.qvt.oml.runtime \
  -d "emf ocl" -a "-DjavacTarget=1.5 -DjavacSource=1.5 -DforceContextQualifier=%{contextQualifier}"
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.m2m.qvt.oml.editor \
  -d "emf ocl" -a "-DjavacTarget=1.5 -DjavacSource=1.5 -DforceContextQualifier=%{contextQualifier}"
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.m2m.qvt.oml.debug \
  -d "emf ocl" -a "-DjavacTarget=1.5 -DjavacSource=1.5 -DforceContextQualifier=%{contextQualifier}"

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{eclipse_dropin}
unzip -q -n -d %{buildroot}%{eclipse_dropin}/m2m-qvtoml build/rpmBuild/org.eclipse.m2m.qvt.oml.zip
unzip -q -n -d %{buildroot}%{eclipse_dropin}/m2m-qvtoml build/rpmBuild/org.eclipse.m2m.qvt.oml.common.zip
unzip -q -n -d %{buildroot}%{eclipse_dropin}/m2m-qvtoml build/rpmBuild/org.eclipse.m2m.qvt.oml.editor.zip
unzip -q -n -d %{buildroot}%{eclipse_dropin}/m2m-qvtoml build/rpmBuild/org.eclipse.m2m.qvt.oml.runtime.zip
unzip -q -n -d %{buildroot}%{eclipse_dropin}/m2m-qvtoml build/rpmBuild/org.eclipse.m2m.qvt.oml.debug.zip

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{eclipse_dropin}/m2m-qvtoml
%doc org.eclipse.m2m.qvt.oml.feature/rootfiles/*

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 14 2010 Mat Booth <fedora@matbooth.co.uk> 3.0.0-1
- Update to Helios release.
- Fixes RHBZ #631432.

* Sun Nov 15 2009 Mat Booth <fedora@matbooth.co.uk> 2.0.1-1
- New QVTOML spec file based on eclipse-gef.
